import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  * Einfache Beispielanwendung fuer einen Message-Dialog
  *
  * @version 1.0 vom 13.12.2007
  * @author
  */

public class Gui extends JFrame {
  // Anfang Variablen

  // Anfang Attribute
  private JButton jButton2 = new JButton();
  private JButton jButton1 = new JButton();
  // Ende Attribute

  // Ende Variablen

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    this.setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) {
         beendenAction();
      }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jButton1.setBounds(16, 136, 147, 25);
    jButton1.setText("Beenden");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    
    jButton2.setBounds(16, 88, 147, 25);
    jButton2.setText("klick mich");
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2_ActionPerformed(evt);
      }
    });

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden

  // Anfang Ereignisprozeduren
  public void jButton1_ActionPerformed(ActionEvent evt) {
     beendenAction();
  }

  public void jButton2_ActionPerformed(ActionEvent evt) {
     JOptionPane.showMessageDialog(this, "Der Button wurde angeklickt.");
  }
  
  private void beendenAction(){
     if (JOptionPane.showConfirmDialog(this,"wirklich beenden ?")
         ==JOptionPane.YES_OPTION) System.exit(0);
  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Gui("Gui");
  }

  // Ende Methoden
}

